:root {
  --bg: #0f1117;
  --panel: #171923;
  --muted: #8b8f9c;
  --white: #ffffff;
  --card-size: 96px;
  --gap: 6px;
  --radius: 14px;
}

.roulette_block {
  position: relative;
  overflow: hidden;
  width: 100%;
  background: url(/app/img/gift/bg.png);
  padding: 40px 0 20px 0;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
}

.roulette_block .selector {
  inset: 0;
  position: relative;
  min-height: 96px;
  margin-bottom: 20px;
}

.roulette_block .selector:before {
  content: "";
  position: absolute;
  top: -30px;
  bottom: 10px;
  width: 3px;
  left: 50%;
  transform: translateX(-50%);
  background: linear-gradient(
    180deg,
    transparent,
    #9aa3ff 30%,
    #9aa3ff 70%,
    transparent
  );
  box-shadow: 0 0 12px rgba(154, 163, 255, 0.75);
  border-radius: 2px;
  height: 160px;
}

.roulette_block .wheel {
  display: flex;
  will-change: transform;
}

.roulette_block .row {
  display: flex;
}

.roulette_block .card {
  width: var(--card-size);
  height: var(--card-size);
  margin: 0 var(--gap);
  border-radius: var(--radius);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-weight: 700;
  color: white;
  user-select: none;
  text-align: center;
  overflow: hidden;
  position: relative;
  transition: 300ms;
}

.roulette_block .card img {
  width: 100%;
  height: 100%;
  object-fit: contain;
  pointer-events: none;
}

.roulette_block .card .title {
  font-size: 16px;
  line-height: 1.1;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  position: absolute;
  font-weight: bold;
  bottom: 10px;
  display: none;
}

.roulette_block .card.active {
  outline: 4px solid rgb(0 255 239 / 80%);
  outline-offset: -4px;
  position: relative;
  z-index: 1;
}

.roulette_block .card.deactive {
  z-index: 1;
}

.roulette_block > div > .title {
  font-size: 22px;
  text-align: center;
  margin-bottom: 22px;
  font-weight: bold;
  color: #ffffff;
}
.roulette_block .btn_block {
  margin-top: 15px;
  padding: 0 20px;
}
button.white {
  background: #ffffff;
  color: #030d43;
  font-size: 18px;
}

.roulette_info {
  padding: 0px 15px 25px 15px;
}
.roulette_block .selector .loading-spinner {
  min-height: 96px;
  position: absolute;
  left: 50%;
  top: 50px;
  transform: translate(-50%, -50%);
}

.btn_block button {
  margin-bottom: 10px;
  position: relative;
  font-size: 14px;
}
.btn_block button:last-child {
  margin-bottom: 0;
}
.btn_block button::before {
  content: "";
  width: 24px;
  height: 24px;
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  margin-right: 6px;
}
.btn_block button[data-type="gift"]::before {
  content: "";
  background-image: url(/app/img/icon/gift.png);
}

.btn_block button[data-type="key"]::before {
  content: "";
  background-image: url(/app/img/icon/key.png);
}
.key_count {
  position: absolute;
  left: 20px;
  top: -13px;
  z-index: 1;
  background: #152458;
  border-radius: 8px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 4px 10px;
  font-size: 12px;
  transition: 500ms;
  font-weight: bold;
}
.key_count.error {
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-name: tada;
  animation-name: tada;
  background: #922828;
}
.key_count::before {
  content: "";
  background-image: url(/app/img/icon/key.png);
  width: 18px;
  height: 18px;
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  margin-right: 6px;
}
